using System;
using System.Collections.Generic;
using System.Text;
using System.Text.Json.Serialization;

namespace SlnMesnac.Model.domain
{
    public class MesApiResponse<T>
    {
        public int Code { get; set; }
        public string Msg { get; set; }
        public List<T> Data { get; set; }
    }
    public class MesOrderInfo
    {
        [JsonPropertyName("ProductSpec")]
        public string ProductSpec {  get; set; }
        [JsonPropertyName("OrderNo")]
        public string OrderNo { get; set; }
        [JsonPropertyName("ProductCode")]
        public string ProductCode { get; set; }
        [JsonPropertyName("ProductType")]
        public string ProductType { get; set; }
        [JsonPropertyName("ProductName")]
        public string ProductName { get; set; }
        [JsonPropertyName("PlanQty")]
        public double PlanQty { get; set; }
        [JsonPropertyName("NextProductNo")]
        public int NextProductNo { get; set; }
    }
}
